package basic

type ErrorCode struct {
	Code    int    `json:"code"`
	Message string `json:"message"`
}

var (
	ErrRespNotNil = &ErrorCode{Code: 10000, Message: "resp must not nil"}

	ErrEncGcm = &ErrorCode{Code: 10001, Message: "gmc加密错误"}

	ErrParamParse = &ErrorCode{Code: 10100, Message: "参数解析错误"}

	ErrEmailFormat = &ErrorCode{Code: 10101, Message: "email 格式错误"}
)
